package com.yihu.jw.entity.specialist.rehabilitation;

import com.yihu.jw.entity.UuidIdentityEntity;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import com.yihu.jw.entity.util.StringFStringEncryptConverter;
import org.springframework.data.annotation.CreatedBy;
import org.springframework.data.annotation.CreatedDate;

import javax.persistence.Column;
import javax.persistence.Convert;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by humingfen on 2019/2/11.
 */
@Entity
@Table(name = "wlyy_patient_diagnosis_information")
public class PatientDiagnosisInformationDO extends UuidIdentityEntity implements Serializable {

    @Column(name = "saas_id")
    private String saasId;
    @Column(name = "plan_id")
    private String planId;//居民康复套餐code
    @Column(name = "patient")
    private String patient;//居民code
    @Column(name = "patient_name")
    private String patientName;//居民姓名
    @Column(name = "hospital")
    private String hospital;//诊疗医院code
    @Column(name = "hospital_name")
    private String hospitalName;//诊疗医院名称
    @Column(name = "department")
    private String department;//入院科室
    @Column(name = "attending_doctor_code")
    private String attendingDoctorCode;//主治医生code
    @Column(name = "attending_doctor_name")
    private String attendingDoctorName;//主治医生名称
    @Column(name = "admitting_diagnosis")
    private String admittingDiagnosis;//入院诊断
    @Column(name = "discharge_diagnosis")
    private String dischargeDiagnosis;//出院诊断
    @Column(name = "advice")
    private String advice;//医嘱小结
    @Column(name = "discharge_time")
    private Date dischargeTime;
    @Column(name = "create_time")
    protected Date createTime;//创建时间
    @Column(name = "create_user")
    protected String createUser;//创建者
    @Column(name = "create_user_name")
    protected String createUserName;//创建者

    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

//    @Convert(converter = StringFStringEncryptConverter.class)
    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getAttendingDoctorCode() {
        return attendingDoctorCode;
    }

    public void setAttendingDoctorCode(String attendingDoctorCode) {
        this.attendingDoctorCode = attendingDoctorCode;
    }

//    @Convert(converter = StringFStringEncryptConverter.class)
    public String getAttendingDoctorName() {
        return attendingDoctorName;
    }

    public void setAttendingDoctorName(String attendingDoctorName) {
        this.attendingDoctorName = attendingDoctorName;
    }

    public String getAdmittingDiagnosis() {
        return admittingDiagnosis;
    }

    public void setAdmittingDiagnosis(String admittingDiagnosis) {
        this.admittingDiagnosis = admittingDiagnosis;
    }

    public String getDischargeDiagnosis() {
        return dischargeDiagnosis;
    }

    public void setDischargeDiagnosis(String dischargeDiagnosis) {
        this.dischargeDiagnosis = dischargeDiagnosis;
    }

    public String getAdvice() {
        return advice;
    }

    public void setAdvice(String advice) {
        this.advice = advice;
    }

    public Date getDischargeTime() {
        return dischargeTime;
    }

    public void setDischargeTime(Date dischargeTime) {
        this.dischargeTime = dischargeTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

//    @Convert(converter = StringFStringEncryptConverter.class)
    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }
}
